import { FoundationTheme } from '@nuskin/foundation-theme';
import { HTMLProps } from 'react';

import { NsIconVariants } from '.';

export type NsIconSizeType = 'small' | 'medium' | 'large' | 'xLarge';

export type NsIconNameType = keyof typeof NsIconVariants;

export type NsIconProps = HTMLProps & {
    name: NsIconNameType;
    size?: NsIconSizeType;
    color?: FoundationTheme.PaletteColors;
    testId?: string;
    colorOverride?: string;
};
